# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.dialog.dialogDefinitionObject

Extends CKEDITOR.dialog.dialogDefinition.
Defined in: plugins/dialog/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dialog.dialogDefinitionObject() This class is not really part of the API.

Fields borrowed from class CKEDITOR.dialog.dialogDefinition:
  buttons, contents, minHeight, minWidth, onCancel, onLoad, onOk, resizable, title

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addButton(buttonDefinition, nextSiblingId) Adds a button definition object under this dialog definition.
| addContents(contentDefinition, nextSiblingId) Adds a content definition object under this dialog definition.
| getButton(id) Gets a button definition.
| getContents(id) Gets a content definition.
| removeButton(id) Removes a button definition from the dialog definition.
| removeContents(id) Removes a content definition from this dialog definition.

Class Detail
CKEDITOR.dialog.dialogDefinitionObject()
Since: 3.0
This class is not really part of the API. It is the "definition" property value passed to "dialogDefinition" event handlers.

    CKEDITOR.on( 'dialogDefinition', function( evt )
    	{
    		var definition = evt.data.definition;
    		var content = definition.getContents( 'page1' );
    		...
    	} );

Method Detail
{CKEDITOR.dialog.buttonDefinition} addButton(buttonDefinition, nextSiblingId)
Since: 3.0
Adds a button definition object under this dialog definition.

    NO EXAMPLE AVAILABLE

Parameters:
{CKEDITOR.dialog.buttonDefinition} buttonDefinition
  The button definition.
{String} nextSiblingId Optional
  The id of an existing button definition which the new button definition will be inserted before. Omit if the new button definition is to be inserted as the last item.

Returns:
  {CKEDITOR.dialog.buttonDefinition} The inserted button definition.

{CKEDITOR.dialog.contentDefinition} addContents(contentDefinition, nextSiblingId)
Since: 3.0
Adds a content definition object under this dialog definition.

    NO EXAMPLE AVAILABLE

Parameters:
{CKEDITOR.dialog.contentDefinition} contentDefinition
  The content definition.
{String} nextSiblingId Optional
  The id of an existing content definition which the new content definition will be inserted before. Omit if the new content definition is to be inserted as the last item.

Returns:
  {CKEDITOR.dialog.contentDefinition} The inserted content definition.

{CKEDITOR.dialog.buttonDefinition} getButton(id)
Since: 3.0
Gets a button definition.

    NO EXAMPLE AVAILABLE

Parameters:
{String} id
  The id of the button definition.

Returns:
  {CKEDITOR.dialog.buttonDefinition} The button definition matching id.

{CKEDITOR.dialog.contentDefinition} getContents(id)
Since: 3.0
Gets a content definition.

    NO EXAMPLE AVAILABLE

Parameters:
{String} id
  The id of the content definition.

Returns:
  {CKEDITOR.dialog.contentDefinition} The content definition matching id.

{CKEDITOR.dialog.buttonDefinition} removeButton(id)
Since: 3.0
Removes a button definition from the dialog definition.

    NO EXAMPLE AVAILABLE

Parameters:
{String} id
  The id of the button definition to be removed.

Returns:
  {CKEDITOR.dialog.buttonDefinition} The removed button definition.

{CKEDITOR.dialog.contentDefinition} removeContents(id)
Since: 3.0
Removes a content definition from this dialog definition.

    NO EXAMPLE AVAILABLE

Parameters:
{String} id
  The id of the content definition to be removed.

Returns:
  {CKEDITOR.dialog.contentDefinition} The removed content definition.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.